Bug 1252783 - Couple of minor cleanups for man page for "docker inspect"
Couple of minor cleanups for man page for "docker inspect"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Sally
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 05:00 EDT by Robert P. J. Day
Modified: 2016-02-16 12:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 12:25:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2015-08-12 05:00:06 EDT
Just more nitpicky pedantry.


-f, --format=""
           Format the output using the given go template.
                                             ^^ -> "Go" (proper name)

(Aside: "docker inspect -h" also refers to "go" and not "Go", but you can decide if you want to address that.

  Next, there's some weird para/line break here:

              Image name can be suffixed with [:TAG]. If short name is given, all

       additional registries will be searched until a match is found. The default is  false.  To  see
       image's digest string and its source registry, pass -D option to Docker client.

  I think that's it.
Comment 1 Robert P. J. Day 2015-08-12 05:06:29 EDT
Um ... one weird issue with the man page which I suspect has nothing to do with you; partway down, there's a reference to where one can learn more about Go templates:

   You can get more information about how to write a go [sic] template from:

       ⟨http://golang.org/pkg/text/template/⟩.

But if I right-click on that URL in my alpine mail session and select "Open link", the trailing ")" is collected as part of the URL and I get:

  file not found: /go/src/text/template/⟩

Like I said, not your problem, just an observation. Kind of annoying.
Comment 2 Daniel Walsh 2015-08-13 05:40:45 EDT
Maybe we could add spaces to separate out the parens.
Comment 3 Sally 2015-08-18 07:56:38 EDT
https://github.com/docker/docker/pull/15657

This PR changes "go" to "Go" and takes trailing "/" off of URL link
Comment 4 Sally 2015-08-19 09:43:06 EDT
merged https://github.com/docker/docker/pull/15657
Comment 5 Daniel Walsh 2015-08-19 09:54:29 EDT
Fixed in docker-1.9

Note You need to log in before you can comment on or make changes to this bug.